// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:3.0.0.0
//      SpecFlow Generator Version:3.0.0.0
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace Library.Automation.Test.Features
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "3.0.0.0")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    public partial class LoginPageFeature : Xunit.IClassFixture<LoginPageFeature.FixtureData>, System.IDisposable
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
        private Xunit.Abstractions.ITestOutputHelper _testOutputHelper;
        
#line 1 "LoginPage.feature"
#line hidden
        
        public LoginPageFeature(LoginPageFeature.FixtureData fixtureData, Xunit.Abstractions.ITestOutputHelper testOutputHelper)
        {
            this._testOutputHelper = testOutputHelper;
            this.TestInitialize();
        }
        
        public static void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "LoginPage", null, ProgrammingLanguage.CSharp, ((string[])(null)));
            testRunner.OnFeatureStart(featureInfo);
        }
        
        public static void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        public virtual void TestInitialize()
        {
        }
        
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioInitialize(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioInitialize(scenarioInfo);
            testRunner.ScenarioContext.ScenarioContainer.RegisterInstanceAs<Xunit.Abstractions.ITestOutputHelper>(_testOutputHelper);
        }
        
        public virtual void ScenarioStart()
        {
            testRunner.OnScenarioStart();
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        void System.IDisposable.Dispose()
        {
            this.ScenarioTearDown();
        }
        
        [Xunit.FactAttribute(DisplayName="LoginForm_check_inputs_sucsess")]
        [Xunit.TraitAttribute("FeatureTitle", "LoginPage")]
        [Xunit.TraitAttribute("Description", "LoginForm_check_inputs_sucsess")]
        [Xunit.TraitAttribute("Category", "smoke")]
        public virtual void LoginForm_Check_Inputs_Sucsess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("LoginForm_check_inputs_sucsess", null, new string[] {
                        "smoke"});
#line 4
this.ScenarioInitialize(scenarioInfo);
            this.ScenarioStart();
#line 5
 testRunner.Given("~NAVIGATE: to page \'LoginPage\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table1 = new TechTalk.SpecFlow.Table(new string[] {
                        "id"});
            table1.AddRow(new string[] {
                        "UserNameId"});
            table1.AddRow(new string[] {
                        "PasswordId"});
            table1.AddRow(new string[] {
                        "SubmitId"});
#line 6
  testRunner.And("#FIND: components is existing", ((string)(null)), table1, "And ");
#line 11
  testRunner.And("#FIND: count \'2\' of form \'formId\' components", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 12
  testRunner.And("#CHECK: element \'SubmitId\' is diabled \'true\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            TechTalk.SpecFlow.Table table2 = new TechTalk.SpecFlow.Table(new string[] {
                        "id",
                        "value"});
            table2.AddRow(new string[] {
                        "UserNameId",
                        "Admin"});
#line 13
 testRunner.When("#FILL: components", ((string)(null)), table2, "When ");
#line 16
  testRunner.And("#CHECK: element \'SubmitId\' is diabled \'true\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            TechTalk.SpecFlow.Table table3 = new TechTalk.SpecFlow.Table(new string[] {
                        "id",
                        "value"});
            table3.AddRow(new string[] {
                        "PasswordId",
                        "12"});
#line 17
  testRunner.And("#FILL: components", ((string)(null)), table3, "And ");
#line 20
  testRunner.And("#CHECK: element \'SubmitId\' is diabled \'true\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            TechTalk.SpecFlow.Table table4 = new TechTalk.SpecFlow.Table(new string[] {
                        "id",
                        "value"});
            table4.AddRow(new string[] {
                        "PasswordId",
                        "123456"});
#line 21
  testRunner.And("#FILL: components", ((string)(null)), table4, "And ");
#line 24
  testRunner.And("#CHECK: element \'SubmitId\' is diabled \'false\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
 testRunner.Then("@ACTION: click \'SubmitId\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [Xunit.FactAttribute(DisplayName="LoginForm_fill_inputs_sucsess")]
        [Xunit.TraitAttribute("FeatureTitle", "LoginPage")]
        [Xunit.TraitAttribute("Description", "LoginForm_fill_inputs_sucsess")]
        [Xunit.TraitAttribute("Category", "smoke")]
        public virtual void LoginForm_Fill_Inputs_Sucsess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("LoginForm_fill_inputs_sucsess", null, new string[] {
                        "smoke"});
#line 28
this.ScenarioInitialize(scenarioInfo);
            this.ScenarioStart();
#line 30
testRunner.Given("#NAVIGATE: to URL \'http:\\\\localhost:4200\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table5 = new TechTalk.SpecFlow.Table(new string[] {
                        "id",
                        "value"});
            table5.AddRow(new string[] {
                        "UserNameId",
                        "User1"});
            table5.AddRow(new string[] {
                        "PasswordId",
                        "123456"});
#line 31
 testRunner.And("#FILL: components", ((string)(null)), table5, "And ");
#line hidden
            TechTalk.SpecFlow.Table table6 = new TechTalk.SpecFlow.Table(new string[] {
                        "id"});
            table6.AddRow(new string[] {
                        "SubmitId"});
#line 35
 testRunner.And("#FIND: components is existing", ((string)(null)), table6, "And ");
#line 38
 testRunner.And("@ACTION: click \'SubmitId\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [Xunit.FactAttribute(DisplayName="LoginForm_log_in_sucsess")]
        [Xunit.TraitAttribute("FeatureTitle", "LoginPage")]
        [Xunit.TraitAttribute("Description", "LoginForm_log_in_sucsess")]
        public virtual void LoginForm_Log_In_Sucsess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("LoginForm_log_in_sucsess", null, ((string[])(null)));
#line 40
this.ScenarioInitialize(scenarioInfo);
            this.ScenarioStart();
#line 42
testRunner.Given("#NAVIGATE: to URL \'http:\\\\localhost:4200\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 43
 testRunner.And("@ACTION: click \'SubmitId\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [Xunit.FactAttribute(DisplayName="LoginForm_log_in_fail")]
        [Xunit.TraitAttribute("FeatureTitle", "LoginPage")]
        [Xunit.TraitAttribute("Description", "LoginForm_log_in_fail")]
        public virtual void LoginForm_Log_In_Fail()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("LoginForm_log_in_fail", null, ((string[])(null)));
#line 45
this.ScenarioInitialize(scenarioInfo);
            this.ScenarioStart();
#line 47
testRunner.Given("#NAVIGATE: to URL \'http:\\\\localhost:4200\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 48
 testRunner.And("@ACTION: click \'SubmitId\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "3.0.0.0")]
        [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
        public class FixtureData : System.IDisposable
        {
            
            public FixtureData()
            {
                LoginPageFeature.FeatureSetup();
            }
            
            void System.IDisposable.Dispose()
            {
                LoginPageFeature.FeatureTearDown();
            }
        }
    }
}
#pragma warning restore
#endregion
